Skip to main content
POST
Template Behaviour: Including Aadhaar details in this request skips the DigiLocker verification step, reducing the user journey from 3 steps to 2. See User Templates for details.

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if two-factor authentication is selected as Public Key. More details.

x-api-version
string
default:2024-12-01
required

API version to be used. Format is in YYYY-MM-DD.

Example:

"2024-12-01"

Body

application/json

Request parameters to generate Video KYC link.

verification_id
string
default:vkyc_verification_id
required

It is the unique ID you create to identify the verification request. The maximum character limit is 50. Only alphaumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

"vkyc_verification_id"

user_template
string
default:vkyc_user_template_v1

It is the name of users vkyc template more details.

Example:

"vkyc_user_template_v1"

agent_template
string
default:vkyc_agent_template_v2

It is the name of agents vkyc template more details.

Example:

"vkyc_agent_template_v2"

user_reference_id
integer
default:1358

It is the unique ID created by Cashfree Payments that you receive in the response of Create User for Secure ID API.

Example:

1358

user_id
string
default:User0123

It is the unique ID you create to identify the user in Create User for Secure ID API.

Example:

"User0123"

notification_types
string[]

List of notification types that should be triggered for this request.

Example:
aadhaar_details
object
security_questions
object[]

Response

Success response for generating a Video KYC link.

verification_id
string

It displays the unique ID you created to identify the verification request.

Example:

"test053"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

10042

status
string

It displays the status of the API request. Refer to this link for all possible values and their meanings.

Example:

"PRE_VIDEO_CALL"

sub_status
string

It displays the sub status of the API request. Refer to this link for all possible values and their meanings.

Example:

"AADHAAR_VERIFICATION_SUCCESS"

It displays the URL of the vKYC form to be filled by the user.

Example:

"https://forms.cashfree.com/verification/M8go0i1k9fvg"

The date on which the vKYC link will expire.

Example:

"2025-05-30T00:00:00.000Z"

user_reference_id
string

The reference ID of the user for whom the VKYC link is generated.

Example:

123456

user_id
string

The user ID of the user for whom the VKYC link is generated.

Example:

"User0123"

aadhaar_details
object

Aadhaar information associated with the user.

security_questions
object[]

List of security questions and answers.

auditor_remarks
string | null

Remarks provided by the auditor during the Video KYC process.

Example:

"Verification completed successfully"

agent_remarks
string | null

Remarks provided by the agent during the Video KYC process.

Example:

"Pan not available during video call"